Subject: [Ltru] Alternative matching algorithms (was: Re: Registry in record-jar format)

From: "Doug Ewell" <[email-masked]>
Date: Mon, 4 Apr 2005 22:30:09 -0700

John Cowan <jcowan at reutershealth dot com> wrote:

> I have yet to receive any comments on my proposed alternative
> (not replacement) matching algorithm.  People seemed to get lost in
> the details of Date A and Date B.

Date A and Date B were a different matter and were also important.  We
finally got a major sticking point resolved thanks to that.

> To recap in a way that doesn't reawaken that:
>
> 1) Normalize the tag.
>
> 2) Create a quadruple (lang, script, region, variant), filling in
     missing components with *s.
>
> 3) Subtags match if they are the same or if either is "*".
>
> 4) Add {8, 4, 2, 1} to the figure of merit if the {lang, script,
>    region, variant} matches.

That's basically a better-thought-out version of what I had in mind.  I
was thinking more along the lines of language first and everything else
second, instead of ranking all four in strict order, because we actually
don't know whether script or region or variant is more "important."

The key aspect that we agree on is the need to take apart the tag and
compare the pieces.  For any parser that is built to handle RFC 3066bis
tags, simple prefix matching will NOT be sufficient.

-Doug Ewell
 Fullerton, California
 http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru